addpath('/afs/cs.wisc.edu/p/zhu/23/tools/KQBC')

N=1000; % total number of iid examples in the input stream

x=[rand(N,1)*2-1 ones(N,1)];
y=(x(:,1)>0)*2-1; % +1,-1 labels

[selection, coefs, errors] = KQBC(x,y,10,'Linear');

D = x(selection)'; % teaching set from the active learner

D(find(D>0))

%close all
%subplot(2,2,1)
%plot(x(selection,1), selection, 'o:k')
%line([0 0], [0 N])
%subplot(2,2,2)
%plot(x(selection,1), 1:length(selection), 'o:k')
%line([0 0], [0 length(selection)])
%subplot(2,2,3)
%plot(errors)
